Security Enhanced Linux Reference Policy

# Layer: services

## Module: nagios

Interfaces

### Description:

Net Saint / NAGIOS - network monitoring server

### Interfaces:

nagios_domtrans_cgi( domain )

##### Summary

Execute the nagios CGI with a domain transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nagios_domtrans_nrpe( domain )

##### Summary

Execute the nagios NRPE with a domain transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nagios_dontaudit_rw_pipes( domain )

##### Summary

Do not audit attempts to read or write nagios unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

nagios_read_config( domain )

##### Summary

Allow the specified domain to read nagios configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nagios_read_tmp_files( domain )

##### Summary

Allow the specified domain to read nagios temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return